package q02b.exe.comun.valueobjects;



import q02b.exe.arquitectura.valueobjects.Q02bValueObject;



public class Q02bBuscadorGeneralSelect extends Q02bValueObject{



	private static final long serialVersionUID = 1L;

	// Parámetros de la select

	private String table	 	 			= "";

	private String tableNi	 	 			= "";

	private String tableColumns	 			= "";

	private String tableOrderByClause		= "";

	private String tableOrdenOrderBy		= "";

	private String tableColumnWhere			= "";

	private String sourceValueColumnWhere	= "";

	private String tableColumnWhereNumeric	= "";

	private String optionalWhere			= "";

	//Parámetros del combo

	private String tableCombo	 	 		= "";

	private String comboLabelColumn	 	 	= "";

	private String comboValueColumn	 	 	= "";

	private String comboIdioma	 	 		= "";

	private String comboOptionalWhere 		= "";

	private String tableNiCombo	 	 		= "";

	private String tableColumnsIdioma		= "";

	private String tableColumnsExtra		= "";

	private String tableColumnsIdiomaExtra	= "";

	

	//MÉTODOS GET Y SET

	

	//Nombre de la tabla

	public String getTable() {

		return table;

	}

	public void setTable(String table) {

		this.table = table;

	}

	

	//Nombre de la columna que almacena el número interno

	public String getTableNi() {

		return tableNi;

	}

	public void setTableNi(String tableNi) {

		this.tableNi = tableNi;

	}

	

	//Nombre de las columnas

	public String getTableColumns() {

		return tableColumns;

	}

	public void setTableColumns(String tableColumns) {

		this.tableColumns = tableColumns;

	}

	

	//Nombre de la columna por la cual se realizará el order by

	public String getTableOrderByClause() {

		return tableOrderByClause;

	}

	public void setTableOrderByClause(String tableOrderByClause) {

		this.tableOrderByClause = tableOrderByClause;

	}

	

	//Sentido del orden del order by

	public String getTableOrdenOrderBy() {

		return tableOrdenOrderBy;

	}

	public void setTableOrdenOrderBy(String tableOrdenOrderBy) {

		this.tableOrdenOrderBy = tableOrdenOrderBy;

	}

	

	//Columna por la cual se filtra la where

	public String getTableColumnWhere() {

		return tableColumnWhere;

	}

	public void setTableColumnWhere(String tableColumnWhere) {

		this.tableColumnWhere = tableColumnWhere;

	}

	

	//Lugar dentro del formulario que contiene el valor por el que se filtrará la select

	public String getSourceValueColumnWhere() {

		return sourceValueColumnWhere;

	}

	public void setSourceValueColumnWhere(String sourceValueColumnWhere) {

		this.sourceValueColumnWhere = sourceValueColumnWhere;

	}

	

	//Indica si la columna de la base de datos por donde se realizará la where es numérico

	public String getTableColumnWhereNumeric() {

		return tableColumnWhereNumeric;

	}

	public void setTableColumnWhereNumeric(String tableColumnWhereNumeric) {

		this.tableColumnWhereNumeric = tableColumnWhereNumeric;

	}

	

	//Indica la parte where opcional

	public String getOptionalWhere() {

		return optionalWhere;

	}

	public void setOptionalWhere(String optionalWhere) {

		this.optionalWhere = optionalWhere;

	}

	

	//Parámetros del combo

	//Nombre de la tabla del combo

	public String getTableCombo() {

		return tableCombo;

	}

	public void setTableCombo(String tableCombo) {

		this.tableCombo = tableCombo;

	}

	

	//Nombre de la columna a visualizar en el texto del combo

	public String getComboLabelColumn() {

		return comboLabelColumn;

	}

	public void setComboLabelColumn(String comboLabelColumn) {

		this.comboLabelColumn = comboLabelColumn;

	}

	

	//Nombre de la columna con el valor a enviar con los elementos seleccionados del combo

	public String getComboValueColumn() {

		return comboValueColumn;

	}

	public void setComboValueColumn(String comboValueColumn) {

		this.comboValueColumn = comboValueColumn;

	}

	

	//Indica si se va a realizar control idiomático

	public String getComboIdioma() {

		return comboIdioma;

	}

	public void setComboIdioma(String comboIdioma) {

		this.comboIdioma = comboIdioma;

	}

	

	//Indica la where opcional del combo

	public String getComboOptionalWhere() {

		return comboOptionalWhere;

	}

	public void setComboOptionalWhere(String comboOptionalWhere) {

		this.comboOptionalWhere = comboOptionalWhere;

	}

	

	//Campo de la tabla que hace referencia al NI del combo

	public String getTableNiCombo() {

		return tableNiCombo;

	}

	public void setTableNiCombo(String tableNiCombo) {

		this.tableNiCombo = tableNiCombo;

	}

	

	//Variable donde se guardan los idiomas en los que haremos el control idiomático

	public String getTableColumnsIdioma() {

		return tableColumnsIdioma;

	}

	public void setTableColumnsIdioma(String tableColumnsIdioma) {

		this.tableColumnsIdioma = tableColumnsIdioma;

	}

	

	public String getTableColumnsExtra() {

		return tableColumnsExtra;

	}



	public void setTableColumnsExtra(String tableColumnsExtra) {

		this.tableColumnsExtra = tableColumnsExtra;

	}

	

	public String getTableColumnsIdiomaExtra() {

		return tableColumnsIdiomaExtra;

	}



	public void setTableColumnsIdiomaExtra(String tableColumnsIdiomaExtra) {

		this.tableColumnsIdiomaExtra = tableColumnsIdiomaExtra;

	}

	

	//FIN MÉTODOS GET Y SET

}

